Page MenuHomePhabricator

Fix link to Special:MultiLock on CheckUser "get users" display
Closed, ResolvedPublic

Description

When using checkuser form on a Non-English language, the URL created gets the "special" namespace according to the language. For example, the URL created when clicking on Portuguese Wikipedia is https://meta.wikimedia.org/wiki/Especial:MultiLock?wpTarget=

It comes with "Especial" instead of "Special". Maybe you can fix the link so it can't be changed by local language or you could created some sort of redirect on Meta from "Especial" namespace to "Special". Just some thoughts. Thanks.

I have added Glaisher as subscribed. I hope you don't mind.

Event Timeline

Teles created this task.Feb 15 2017, 1:53 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 15 2017, 1:53 AM

Change 339627 had a related patch set uploaded (by MarcoAurelio):
Static URL for CU-CA-MultiLock

https://gerrit.wikimedia.org/r/339627

Change 339678 had a related patch set uploaded (by Legoktm):
Fix Special:MultiLock link for non-English wikis

https://gerrit.wikimedia.org/r/339678

Change 339627 abandoned by MarcoAurelio:
Static URL for CU-CA-MultiLock

https://gerrit.wikimedia.org/r/339627

MarcoAurelio renamed this task from Fix link to Multilock on Checkuser form to Fix link to Special:MultiLock on CheckUser "get users" display.Feb 25 2017, 8:09 PM
MarcoAurelio assigned this task to Legoktm.
MarcoAurelio triaged this task as Normal priority.
MarcoAurelio moved this task from Backlog to Patches in review on the CheckUser board.
MarcoAurelio added a subscriber: MarcoAurelio.

Change 339678 merged by jenkins-bot:
[mediawiki/extensions/CheckUser@master] Fix Special:MultiLock link for non-English wikis

https://gerrit.wikimedia.org/r/339678

Glaisher closed this task as Resolved.May 7 2017, 12:30 PM